package com.nbclass.szxgl.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "project_task_journal")
public class ProjectTaskJournal {
    @Id
    private String id;

    /**
     * 关联的任务id
     */
    @Column(name = "_project_task_id")
    private String projectTaskId;

    /**
     * 开始时间
     */
    @Column(name = "_start_time")
    private Date startTime;

    /**
     * 结束时间
     */
    @Column(name = "_end_time")
    private Date endTime;

    /**
     * 进度说明 内容
     */
    @Column(name = "_content")
    private String content;

    /**
     * 进度日志，由系统自动生成
     */
    @Column(name = "_journal")
    private String journal;

    /**
     * 创建人
     */
    @Column(name = "_create_user_id")
    private String createUserId;

    /**
     *素材是否有侵权风险（1、无风险 2、有风险）
     */
    @Column(name = "_risk")
    private Integer risk;

    /**
     * 创建时间
     */
    @Column(name = "_create_time")
    private Date createTime;

    /**
     * 修改时间
     */
    @Column(name = "_update_time")
    private Date updateTime;


    // 以下是查询字段
    /**
     * 创建人姓名
     */
    @Transient
    private String createUserName;



    /**
     * @return id
     */
    public String getId() {
        return id;
    }

    /**
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取关联的任务id
     *
     * @return _project_task_id - 关联的任务id
     */
    public String getProjectTaskId() {
        return projectTaskId;
    }

    /**
     * 设置关联的任务id
     *
     * @param projectTaskId 关联的任务id
     */
    public void setProjectTaskId(String projectTaskId) {
        this.projectTaskId = projectTaskId;
    }

    /**
     * 获取开始时间
     *
     * @return _start_time - 开始时间
     */
    public Date getStartTime() {
        return startTime;
    }

    /**
     * 设置开始时间
     *
     * @param startTime 开始时间
     */
    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    /**
     * 获取结束时间
     *
     * @return _end_time - 结束时间
     */
    public Date getEndTime() {
        return endTime;
    }

    /**
     * 设置结束时间
     *
     * @param endTime 结束时间
     */
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    /**
     * 获取进度说明 内容
     *
     * @return _content - 进度说明 内容
     */
    public String getContent() {
        return content;
    }

    /**
     * 设置进度说明 内容
     *
     * @param content 进度说明 内容
     */
    public void setContent(String content) {
        this.content = content;
    }

    /**
     * 获取进度日志，由系统自动生成
     *
     * @return _journal - 进度日志，由系统自动生成
     */
    public String getJournal() {
        return journal;
    }

    /**
     * 设置进度日志，由系统自动生成
     *
     * @param journal 进度日志，由系统自动生成
     */
    public void setJournal(String journal) {
        this.journal = journal;
    }

    /**
     * 获取创建人
     *
     * @return _create_user_id - 创建人
     */
    public String getCreateUserId() {
        return createUserId;
    }

    /**
     * 设置创建人
     *
     * @param createUserId 创建人
     */
    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    /**
     * 获取创建时间
     *
     * @return _create_time - 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 设置创建时间
     *
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取修改时间
     *
     * @return _update_time - 修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 设置修改时间
     *
     * @param updateTime 修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

	public String getCreateUserName() {
		return createUserName;
	}

	public void setCreateUserName(String createUserName) {
		this.createUserName = createUserName;
	}

    public Integer getRisk() {
        return risk;
    }

    public void setRisk(Integer risk) {
        this.risk = risk;
    }
}
